entity.key.collection:
  path: '/admin/config/system/keys'
  defaults:
    _entity_list: 'key'
    _title: 'Keys'
  requirements:
    _permission: 'administer keys'

entity.key.add_form:
  path: '/admin/config/system/keys/add'
  defaults:
    _entity_form: 'key.add'
    _title: 'Add key'
  requirements:
    _permission: 'administer keys'

entity.key.edit_form:
  path: '/admin/config/system/keys/manage/{key}'
  defaults:
    _entity_form: 'key.edit'
    _title: 'Edit key'
  requirements:
    _permission: 'administer keys'

entity.key.delete_form:
  path: '/admin/config/system/keys/manage/{key}/delete'
  defaults:
    _entity_form: 'key.delete'
    _title: 'Delete Key'
  requirements:
    _permission: 'administer keys'

entity.key_config_override.collection:
  path: '/admin/config/development/configuration/key-overrides'
  defaults:
    _entity_list: 'key_config_override'
    _title: 'Key Configuration Overrides'
  requirements:
    _permission: 'administer key configuration overrides'

entity.key_config_override.add_form:
  path: '/admin/config/development/configuration/key-overrides/add'
  defaults:
    _entity_form: 'key_config_override.add'
    _title: 'Add a key configuration override'
  requirements:
    _permission: 'administer key configuration overrides'

entity.key_config_override.delete_form:
  path: '/admin/config/development/configuration/key-overrides/manage/{key_config_override}/delete'
  defaults:
    _entity_form: 'key_config_override.delete'
    _title: 'Delete Key Configuration Override'
  requirements:
    _permission: 'administer key configuration overrides'
